import java.io.File;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.FileOutputStream;
import java.io.OutputStreamWriter;
import java.net.URL;
 
public class TornamentLogGet {
 
    public static void main(final String[] args){
        /*  利用者がいじる所はここです。
         *  　・"～.htm"となっている箇所は取得ログのファイル名ですので、適宜書き換えてください。
         *  　　　※ファイル名が被った場合はログを取得しませんのでご容赦ください。
         *  　・取得する必要が無いログはコメントアウトしてください（左側に//を入れて下さい）
         */ 
          TornamentLogGet("1-1 ","http://psense.lib.net/PBS/Tournament/logs/LOG1_1.html" ,"1-01.htm");
          TornamentLogGet("1-2 ","http://psense.lib.net/PBS/Tournament/logs/LOG1_2.html" ,"1-02.htm");
          TornamentLogGet("1-3 ","http://psense.lib.net/PBS/Tournament/logs/LOG1_3.html" ,"1-03.htm");
          TornamentLogGet("1-4 ","http://psense.lib.net/PBS/Tournament/logs/LOG1_4.html" ,"1-04.htm");
          TornamentLogGet("1-5 ","http://psense.lib.net/PBS/Tournament/logs/LOG1_5.html" ,"1-05.htm");
          TornamentLogGet("1-6 ","http://psense.lib.net/PBS/Tournament/logs/LOG1_6.html" ,"1-06.htm");
          TornamentLogGet("1-7 ","http://psense.lib.net/PBS/Tournament/logs/LOG1_7.html" ,"1-07.htm");
          TornamentLogGet("1-8 ","http://psense.lib.net/PBS/Tournament/logs/LOG1_8.html" ,"1-08.htm");
          TornamentLogGet("1-9 ","http://psense.lib.net/PBS/Tournament/logs/LOG1_9.html" ,"1-09.htm");
          TornamentLogGet("1-10","http://psense.lib.net/PBS/Tournament/logs/LOG1_10.html","1-10.htm");
          TornamentLogGet("1-11","http://psense.lib.net/PBS/Tournament/logs/LOG1_11.html","1-11.htm");
          TornamentLogGet("1-12","http://psense.lib.net/PBS/Tournament/logs/LOG1_12.html","1-12.htm");
          TornamentLogGet("1-13","http://psense.lib.net/PBS/Tournament/logs/LOG1_13.html","1-13.htm");
          TornamentLogGet("1-14","http://psense.lib.net/PBS/Tournament/logs/LOG1_14.html","1-14.htm");
          TornamentLogGet("1-15","http://psense.lib.net/PBS/Tournament/logs/LOG1_15.html","1-15.htm");
          TornamentLogGet("1-16","http://psense.lib.net/PBS/Tournament/logs/LOG1_16.html","1-16.htm");
          TornamentLogGet("2-1 ","http://psense.lib.net/PBS/Tournament/logs/LOG2_1.html" ,"2-01.htm");
          TornamentLogGet("2-2 ","http://psense.lib.net/PBS/Tournament/logs/LOG2_2.html" ,"2-02.htm");
          TornamentLogGet("2-3 ","http://psense.lib.net/PBS/Tournament/logs/LOG2_3.html" ,"2-03.htm");
          TornamentLogGet("2-4 ","http://psense.lib.net/PBS/Tournament/logs/LOG2_4.html" ,"2-04.htm");
          TornamentLogGet("2-5 ","http://psense.lib.net/PBS/Tournament/logs/LOG2_5.html" ,"2-05.htm");
          TornamentLogGet("2-6 ","http://psense.lib.net/PBS/Tournament/logs/LOG2_6.html" ,"2-06.htm");
          TornamentLogGet("2-7 ","http://psense.lib.net/PBS/Tournament/logs/LOG2_7.html" ,"2-07.htm");
          TornamentLogGet("2-8 ","http://psense.lib.net/PBS/Tournament/logs/LOG2_8.html" ,"2-08.htm");
          TornamentLogGet("3-1 ","http://psense.lib.net/PBS/Tournament/logs/LOG3_1.html" ,"3-01.htm");
          TornamentLogGet("3-2 ","http://psense.lib.net/PBS/Tournament/logs/LOG3_2.html" ,"3-02.htm");
          TornamentLogGet("3-3 ","http://psense.lib.net/PBS/Tournament/logs/LOG3_3.html" ,"3-03.htm");
          TornamentLogGet("3-4 ","http://psense.lib.net/PBS/Tournament/logs/LOG3_4.html" ,"3-04.htm");
          TornamentLogGet("4-1 ","http://psense.lib.net/PBS/Tournament/logs/LOG4_1.html" ,"4-01.htm");
          TornamentLogGet("4-2 ","http://psense.lib.net/PBS/Tournament/logs/LOG4_2.html" ,"4-02.htm");
          TornamentLogGet("5-1 ","http://psense.lib.net/PBS/Tournament/logs/LOG5_1.html" ,"5-01.htm");
    }
    
    public static void TornamentLogGet(String logName, String logUrl, String fileName){
        File f = new File("html\\" + fileName);
        if(f.exists()){
            System.out.println("重複したファイル名 " + fileName + " が与えられたため " + logName + " は取得しません。");
            return;
        }
        URL url = null;
        InputStream is = null;
        InputStreamReader isr = null;
        FileOutputStream fos = null;
        OutputStreamWriter osw = null;
        try {
            url = new URL(logUrl);
            is = url.openStream();
            isr = new InputStreamReader(is,"EUC-JP");
            fos = new FileOutputStream("html\\" + fileName);
            osw = new OutputStreamWriter(fos,"EUC-JP");
            while(true) {
                int i = isr.read();
                if (i == -1) {
                    break;
                }
                osw.write((char)i);
            }
            System.out.println(logName + " をファイル名 " + fileName + " で取得しました。");
        } catch (Exception e) {
            System.out.println(e.getMessage());
        } finally {
            try {
                isr.close();
                is.close();
                osw.close();
                fos.close();
            } catch (Exception e) {
                System.out.println(e.getMessage());
            }
        }
    }
}
