import java.io.File;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.FileOutputStream;
import java.io.OutputStreamWriter;
import java.net.URL;
 
public class WikiLogGet_kani {
 
    public static void main(final String[] args){
        /*  利用者がいじる所はここです。
         *  　・"～.htm"となっている箇所は取得ログのファイル名ですので、適宜書き換えてください。
         *  　　　※ファイル名が被った場合はログを取得しませんのでご容赦ください。
         *  　・取得する必要が無いログはコメントアウトしてください（左側に//を入れて下さい）
         */ 
          //WikiLogGet("1R目あぶれ","http://majinjima.ma-jide.com/TAIKAI/0815/11.htm","1R目あぶれ.htm");
          WikiLogGet("①　　　　","http://majinjima.ma-jide.com/TAIKAI/0815/11.htm","①.htm");
          WikiLogGet("②　　　　","http://majinjima.ma-jide.com/TAIKAI/0815/12.htm","②.htm");
          WikiLogGet("③　　　　","http://majinjima.ma-jide.com/TAIKAI/0815/21.htm","③.htm");
          WikiLogGet("④　　　　","http://majinjima.ma-jide.com/TAIKAI/0815/22.htm","④.htm");
          WikiLogGet("⑤　　　　","http://majinjima.ma-jide.com/TAIKAI/0815/31.htm","⑤.htm");
          WikiLogGet("⑥　　　　","http://majinjima.ma-jide.com/TAIKAI/0815/32.htm","⑥.htm");
          WikiLogGet("⑦　　　　","http://majinjima.ma-jide.com/TAIKAI/0815/41.htm","⑦.htm");
          WikiLogGet("⑧　　　　","http://majinjima.ma-jide.com/TAIKAI/0815/42.htm","⑧.htm");
          WikiLogGet("⑨　　　　","http://majinjima.ma-jide.com/TAIKAI/0815/51.htm","⑨.htm");
          WikiLogGet("⑩　　　　","http://majinjima.ma-jide.com/TAIKAI/0815/52.htm","⑩.htm");
          //WikiLogGet("⑪　　　　","http://majinjima.ma-jide.com/TAIKAI/0815/11.htm","⑪.htm");
          //WikiLogGet("⑫　　　　","http://majinjima.ma-jide.com/TAIKAI/0815/11.htm","⑫.htm");
          //WikiLogGet("⑬　　　　","http://majinjima.ma-jide.com/TAIKAI/0815/11.htm","⑬.htm");
          //WikiLogGet("⑭　　　　","http://majinjima.ma-jide.com/TAIKAI/0815/11.htm","⑭.htm");
          //WikiLogGet("⑮　　　　","http://majinjima.ma-jide.com/TAIKAI/0815/11.htm","⑮.htm");
          //WikiLogGet("⑯　　　　","http://majinjima.ma-jide.com/TAIKAI/0815/11.htm","⑯.htm");
          //WikiLogGet("⑰　　　　","http://majinjima.ma-jide.com/TAIKAI/0815/11.htm","⑰.htm");
          //WikiLogGet("⑱　　　　","http://majinjima.ma-jide.com/TAIKAI/0815/11.htm","⑱.htm");
          //WikiLogGet("⑲　　　　","http://majinjima.ma-jide.com/TAIKAI/0815/11.htm","⑲.htm");
          //WikiLogGet("⑳　　　　","http://majinjima.ma-jide.com/TAIKAI/0815/11.htm","⑳.htm");
          //WikiLogGet("決勝戦　　","http://majinjima.ma-jide.com/TAIKAI/0815/11.htm","決勝戦.htm");
          //WikiLogGet("３位決定戦","http://majinjima.ma-jide.com/TAIKAI/0815/11.htm","３位決定戦.htm");
          //WikiLogGet("５位決定戦","http://majinjima.ma-jide.com/TAIKAI/0815/11.htm","５位決定戦.htm");
          //WikiLogGet("７位決定戦","http://majinjima.ma-jide.com/TAIKAI/0815/11.htm","７位決定戦.htm");
          //WikiLogGet("９位決定戦","http://majinjima.ma-jide.com/TAIKAI/0815/11.htm","９位決定戦.htm");
    }
    
    public static void WikiLogGet(String logName, String logUrl, String fileName){
        File f = new File("html\\" + fileName);
        if(f.exists()){
            System.out.println("重複したファイル名 " + fileName + " が与えられたため " + logName + " は取得しません。");
            return;
        }
        URL url = null;
        InputStream is = null;
        InputStreamReader isr = null;
        FileOutputStream fos = null;
        OutputStreamWriter osw = null;
        try {
            url = new URL(logUrl);
            is = url.openStream();
            isr = new InputStreamReader(is,"EUC-JP");
            fos = new FileOutputStream("html\\" + fileName);
            osw = new OutputStreamWriter(fos,"EUC-JP");
            while(true) {
                int i = isr.read();
                if (i == -1) {
                    break;
                }
                osw.write((char)i);
            }
            System.out.println(logName + " をファイル名 " + fileName + " で取得しました。");
        } catch (Exception e) {
            System.out.println(e.getMessage());
        } finally {
            try {
                isr.close();
                is.close();
                osw.close();
                fos.close();
            } catch (Exception e) {
                System.out.println(e.getMessage());
            }
        }
    }
}
