import java.io.File;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.FileOutputStream;
import java.io.OutputStreamWriter;
import java.net.URL;
 
public class PBSLogGet {
 
    public static void main(final String[] args){
        /*  利用者がいじる所はここです。
         *  　・"～.htm"となっている箇所は取得ログのファイル名ですので、適宜書き換えてください。
         *  　　　※ファイル名が被った場合はログを取得しませんのでご容赦ください。
         *  　・取得する必要が無いログはコメントアウトしてください（左側に//を入れて下さい）
         */ 
        //PBSLogGet("一茶第一ログ　","http://psense.lib.net/PBS/_/C/LLOG.html","⑨.htm");
        //PBSLogGet("一茶第二ログ　","http://psense.lib.net/PBS/_/D/LLOG.html","⑥.htm");
        //PBSLogGet("一茶第三ログ　","http://psense.lib.net/PBS/_/E/LLOG.html","⑮.htm");
          PBSLogGet("トレハ第一ログ","http://psense.lib.net/PBS/_/L/LLOG.html","⑬.htm");
          PBSLogGet("トレハ第二ログ","http://psense.lib.net/PBS/_/M/LLOG.html","⑭.htm");
          PBSLogGet("トレハ第三ログ","http://psense.lib.net/PBS/_/N/LLOG.html","⑮.htm");
        //PBSLogGet("トレハ第四ログ","http://psense.lib.net/PBS/_/O/LLOG.html","1R目あぶれ.htm");
        //PBSLogGet("ロビー第一ログ","http://psense.lib.net/PBS/_/I/LLOG.html","④.htm");
        //PBSLogGet("ロビー第二ログ","http://psense.lib.net/PBS/_/J/LLOG.html","1R目あぶれ.htm");
        //PBSLogGet("ロビー第三ログ","http://psense.lib.net/PBS/_/K/LLOG.html","⑳.htm");
        //PBSLogGet("二茶第一ログ　","http://psense.lib.net/PBS/_/F/LLOG.html","⑳.htm");
        //PBSLogGet("二茶第二ログ　","http://psense.lib.net/PBS/_/G/LLOG.html","テスト１２.htm");
        //PBSLogGet("二茶第三ログ　","http://psense.lib.net/PBS/_/H/LLOG.html","テスト１３.htm");
    }
    
    public static void PBSLogGet(String logName, String logUrl, String fileName){
        File f = new File("html\\" + fileName);
        if(f.exists()){
            System.out.println("重複したファイル名 " + fileName + " が与えられたため " + logName + " は取得しません。");
            return;
        }
        URL url = null;
        InputStream is = null;
        InputStreamReader isr = null;
        FileOutputStream fos = null;
        OutputStreamWriter osw = null;
        try {
            url = new URL(logUrl);
            is = url.openStream();
            isr = new InputStreamReader(is,"EUC-JP");
            fos = new FileOutputStream("html\\" + fileName);
            osw = new OutputStreamWriter(fos,"EUC-JP");
            while(true) {
                int i = isr.read();
                if (i == -1) {
                    break;
                }
                osw.write((char)i);
            }
            System.out.println(logName + " をファイル名 " + fileName + " で取得しました。");
        } catch (Exception e) {
            System.out.println(e.getMessage());
        } finally {
            try {
                isr.close();
                is.close();
                osw.close();
                fos.close();
            } catch (Exception e) {
                System.out.println(e.getMessage());
            }
        }
    }
}
